/*
 * @Author: fxs bjnsfxs@163.com
 * @Date: 2024-08-20 14:24:58
 * @LastEditors: fxs bjnsfxs@163.com
 * @LastEditTime: 2024-08-30 11:58:59
 * @FilePath: \Game-Backstage-Management-System\src\router\home.ts
 * @Description:
 *
 */

import GameManageView from '../views/Home/InfoManage/GameManageView.vue'
import PlayerManageView from '../views/Home/InfoManage/PlayerManageView.vue'
import HomeView from '@/views/Home/HomeView.vue'
import OverView from '@/views/Home/Overview/OverView.vue'
import KeepView from '@/views/Home/Analysis/KeepView.vue'
import UserTrendView from '@/views/Home/Analysis/UserTrendView.vue'

export default [
  {
    path: '/home',
    component: HomeView,
    children: [
      {
        path: '',
        redirect: 'gameOverview'
      },
      {
        path: 'overView',
        name: 'OverView',
        component: OverView,
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'playerManageView',
        name: 'PlayerManageView',
        component: PlayerManageView,
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'gameManageView',
        name: 'GameManageView',
        component: GameManageView,
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'keepView',
        name: 'KeepView',
        component: KeepView,
        meta: {
          needKeepAlive: true
        }
      },
      {
        path: 'userTrendView',
        name: 'UserTrendView',
        component: UserTrendView,
        meta: {
          needKeepAlive: true
        }
      }
    ]
  }
]
